package com.ip2.paser;

public class Precursor{

    double average_mz;
    double charge;
    double collision_energy;
    double desired_num_repetitions;
    double dynamically_excluded;
    double intensity;
    double isolation_mz;
    double isolation_width;
    double largest_peak_mz;
    double monoisotopic_mz;
    double one_over_k0;
    double scan_number;
    double scheduling_priority;

    public Precursor(double[] spectraArray, int i, int endOffset){

        average_mz = spectraArray[i];
        charge = spectraArray[i+1];
        collision_energy = spectraArray[i+2];
        desired_num_repetitions = spectraArray[i+3];
        dynamically_excluded = spectraArray[i+4];
        intensity = spectraArray[i+5];
        isolation_mz = spectraArray[i+6];
        isolation_width = spectraArray[i+7];
        largest_peak_mz = spectraArray[i+8];
        monoisotopic_mz = spectraArray[i+9];
        one_over_k0 = spectraArray[i+10];
        scan_number = spectraArray[i+11];
        scheduling_priority = spectraArray[i+12];
    }
    public void print(){
        System.out.println("average_mz: " + average_mz + ", ");
        System.out.print("charge: " + charge + ", ");
        System.out.print("collision_energy: " + collision_energy + ", ");
        System.out.print("desired_num_repetitions: " + desired_num_repetitions + ", ");
        System.out.print("dynamically_excluded: " + dynamically_excluded + ", ");
        System.out.print("intensity: " + intensity + ", ");
        System.out.print("isolation_mz: " + isolation_mz + ", ");
        System.out.print("isolation_width: " + isolation_width + ", ");
        System.out.print("largest_peak_mz: " + largest_peak_mz + ", ");
        System.out.print("monoisotopic_mz: " + monoisotopic_mz + ", ");
        System.out.print("one_over_k0: " + one_over_k0 + ", ");
        System.out.print("scan_number: " + scan_number + ", ");
        System.out.print("scheduling_priority: " + scheduling_priority + ", ");
        System.out.println();
    }

    public String toString(){
        String precursorString = String.format("average_mz: " + average_mz + ", charge: " + charge + "collision_energy: " + collision_energy +
                "desired_num_repetitions: " + desired_num_repetitions + "\n");
        return precursorString;
    }

}
