package com.ip2.api.controller;

import com.ip2.api.Ip2PaserConstants;
import com.ip2.api.bo.DbSearch;
import org.apache.log4j.Logger;

public class SearchApiController {

    private static Logger logger = Logger.getLogger(SearchController.class);

    public DbSearch getDbSearch(String searchId) {

        logger.info("START");

        AccountController accountController = new AccountController();
        accountController.authenticate(Ip2PaserConstants.getInstance().getUserName(), Ip2PaserConstants.getInstance().getPassword());
        SearchController searchController = new SearchController();
        DbSearch dbSearch = searchController.getSearchDetails(Integer.valueOf(searchId));

        logger.debug(dbSearch.toString());

        logger.info("END");
        return dbSearch;

    }
}
